# KPN LocationTag III v2

![KPN LocationTag III v2](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-iii-v2.png)

Streamline device configured to be used as Rotation Counter.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-iii-v2`
* Device Specification UUID: `65f45046-10e5-4b97-9367-7f3f7a3fd7bd`

| Decoders                                                         | decoderSpecificationUUID               | Description                                                                                                                                            |
| ---------------------------------------------------------------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| + LoRa Geolocation data                                          | `0e835f04-910a-4c11-8d23-08e9abef8b2c` | Add [LoRa Geolocation](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data to messages where location could be calculated. |
| › Decoded payload for Asset Tracking application                 | `cc80b8ff-7b89-47c8-b158-91e724d27325` | Decoder outputting legacy SenML naming, compatible with Asset Tracking v1.x application. For P3K3 (loctagiiiv2) with RotationCount bytelength 2-49     |
| › Decoded payload for Asset Tracking application (v2)            | `dd211ae8-f914-5eb2-8db8-319f46901822` | Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount (byte length 2-49).                                              |
| › Decoded payload with location and rotation counter (p3k3)      | `06e1ab35-cfb8-49aa-bba4-370b526f079d` | Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount bytelength 2-49                                                  |
| › Decoded payload with location and rotation counter (p3k3) (v2) | `96eb6d63-b272-5551-a4fb-f435f2130a17` | Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount (byte length 2-49).                                              |

### + LoRa Geolocation data

Add [LoRa Geolocation](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data to messages where location could be calculated.

### › Decoded payload for Asset Tracking application

Decoder outputting legacy SenML naming, compatible with Asset Tracking v1.x application. For P3K3 (loctagiiiv2) with RotationCount bytelength 2-49

**Expected SenML records**

| name                  | type    | unit |
| --------------------- | ------- | ---- |
| DvLat                 | number  | lat  |
| DvLon                 | number  | lon  |
| batteryVoltage        | number  | V    |
| devEui                | string  |      |
| firmwareCRC           | string  |      |
| firmwareVersion       | string  |      |
| gpsActiveStill        | boolean |      |
| gpsFixStill           | boolean |      |
| gpsModuleActive       | boolean |      |
| nfcScanned            | boolean |      |
| nfcState              | string  | enum |
| nrOfLoraTransmissions | number  |      |
| orientationX          | number  |      |
| orientationY          | number  |      |
| powerupTime           | number  | min  |
| rotationCount         | number  |      |
| rotationLeft          | number  |      |
| rotationRight         | number  |      |
| settingsCRC           | string  |      |
| status                | string  |      |
| temperature           | number  | Cel  |
| transmissionTime      | number  | s    |

### › Decoded payload for Asset Tracking application (v2)

Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount (byte length 2-49).

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                  | type    | unit | example  | description                            |
| --------------------- | ------- | ---- | -------- | -------------------------------------- |
| batteryVoltage        | number  | V    |          |                                        |
| devEui                | string  |      |          | Not present in detail level 1 messages |
| DvLat                 | number  | lat  |          | Latitude                               |
| DvLon                 | number  | lon  |          | Longitude                              |
| firmwareCRC           | string  |      |          | Not present in detail level 1 messages |
| firmwareVersion       | string  |      |          | Not present in detail level 1 messages |
| gpsActiveStill        | boolean |      | `true`   |                                        |
| gpsFixStill           | boolean |      | `true`   |                                        |
| gpsModuleActive       | boolean |      | `true`   | Not present in detail level 1 messages |
| nfcScanned            | boolean |      | `true`   |                                        |
| nfcState              | string  |      |          | Not present in detail level 1 messages |
| nrOfLoraTransmissions | number  |      |          | Not present in detail level 1 messages |
| orientationX          | number  |      |          | Not present in detail level 1 messages |
| orientationY          | number  |      |          | Not present in detail level 1 messages |
| powerupTime           | number  | min  |          | Not present in detail level 1 messages |
| rotationCount         | number  |      |          |                                        |
| rotationLeft          | number  |      |          | Not present in detail level 1 messages |
| rotationRight         | number  |      |          | Not present in detail level 1 messages |
| settingsCRC           | string  |      |          | Not present in detail level 1 messages |
| status                | string  |      |          | Not present in detail level 1 messages |
| temperature           | number  | Cel  | `18.334` |                                        |
| transmissionTime      | number  | s    |          | Not present in detail level 1 messages |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "gpsActiveStill",
        "vb": true
    },
    {
        "n": "gpsFixStill",
        "vb": true
    },
    {
        "n": "nfcScanned",
        "vb": false
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3
    },
    {
        "n": "DvLat",
        "u": "lat",
        "v": 51.90717
    },
    {
        "n": "DvLon",
        "u": "lon",
        "v": 4.48940
    },
    {
        "n": "rotationCount",
        "v": 154
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 1
    },
    {
        "n": "firmwareVersion",
        "vs": "cdab"
    },
    {
        "n": "firmwareCRC",
        "vs": "2143"
    },
    {
        "n": "settingsCRC",
        "vs": "7698"
    },
    {
        "n": "gpsModuleActive",
        "vb": true
    },
    {
        "n": "nfcState",
        "vs": "NFC_OFF"
    },
    {
        "n": "powerupTime",
        "u": "min",
        "v": 872379
    },
    {
        "n": "transmissionTime",
        "u": "s",
        "v": 238792
    },
    {
        "n": "nrOfLoraTransmissions",
        "v": 55
    },
    {
        "n": "devEui",
        "vs": "babcdef012"
    },
    {
        "n": "rotationLeft",
        "v": 3407873
    },
    {
        "n": "rotationRight",
        "v": 1507507
    },
    {
        "n": "orientationX",
        "v": 122
    },
    {
        "n": "orientationY",
        "v": 12
    },
    {
        "n": "status",
        "vs": "9a"
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### › Decoded payload with location and rotation counter (p3k3)

* UUID: `06e1ab35-cfb8-49aa-bba4-370b526f079d`
* Description: Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount bytelength 2-49
* Exchange: `decoder.lora.streamline.exchange`

#### Expected SenML outputs

<table><thead><tr><th>name</th><th>type/unit</th><th width="169">example</th><th>description</th></tr></thead><tbody><tr><td>gpsActiveStill</td><td>boolean</td><td>true</td><td></td></tr><tr><td>gpsFixStill</td><td>boolean</td><td>true</td><td></td></tr><tr><td>nfcScanned</td><td>boolean</td><td>false</td><td></td></tr><tr><td>nfcScanned</td><td>boolean</td><td>false</td><td></td></tr><tr><td>batteryVoltage</td><td>V</td><td>2.96</td><td></td></tr><tr><td>latitude</td><td>numeric</td><td>52.15</td><td></td></tr><tr><td>longitude</td><td>numeric</td><td>6.72</td><td></td></tr><tr><td>rotationCount</td><td>numeric</td><td>266</td><td></td></tr><tr><td>temperature</td><td>Cel</td><td>21.0</td><td></td></tr><tr><td>firmwareVersion</td><td></td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>firmwareCRC</td><td></td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>settingsCRC</td><td></td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>gpsModuleActive</td><td>boolean</td><td>false</td><td>not present in detail level 1 messages</td></tr><tr><td>nfcState</td><td>string</td><td>NFC_RW</td><td>not present in detail level 1 messages</td></tr><tr><td>powerupTime</td><td>min</td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>transmissionTime</td><td>s</td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>nrOfLoraTransmissions</td><td>numeric</td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>devEui</td><td>string</td><td></td><td>not present in detail level 1 messages</td></tr><tr><td>rotationLeft</td><td>numeric</td><td>33.0</td><td>not present in detail level 1 messages</td></tr><tr><td>rotationRight</td><td>numeric</td><td>29.0</td><td>not present in detail level 1 messages</td></tr><tr><td>orientationX</td><td>numeric</td><td>255.0</td><td>not present in detail level 1 messages</td></tr><tr><td>orientationY</td><td>numeric</td><td>1.0</td><td>not present in detail level 1 messages</td></tr><tr><td>status</td><td>string</td><td>02</td><td>not present in detail level 1 messages</td></tr><tr><td>TIME_ORIGIN</td><td>string</td><td>THINGSENGINE</td><td></td></tr></tbody></table>

#### Example SenML-message - detail level 1

```
[
	{
		"bn": "urn:dev:DEVEUI:7CC6C43212345678:",
		"bt": 1678798438
	},
	{
		"n": "gpsActiveStill",
		"vb": true
	},
	{
		"n": "gpsFixStill",
		"vb": true
	},
	{
		"n": "nfcScanned",
		"vb": false
	},
	{
		"n": "batteryVoltage",
		"u": "V",
		"v": 2.95
	},
	{
		"n": "latitude",
		"u": "lat",
		"v": 52.15552
	},
	{
		"n": "longitude",
		"u": "lon",
		"v": 6.72049
	},
	{
		"n": "rotationCount",
		"v": 15.0
	},
	{
		"n": "temperature",
		"u": "Cel",
		"v": 11.0
	},
	{
		"n": "TIME_ORIGIN",
		"vs": "THINGSENGINE"
	}
]
```

#### Example SenML-message - detail level 2

```
[
	{
		"bn": "urn:dev:DEVEUI:7CC6C43212345678:",
		"bt": 1678798803
	},
	{
		"n": "gpsActiveStill",
		"vb": true
	},
	{
		"n": "gpsFixStill",
		"vb": true
	},
	{
		"n": "nfcScanned",
		"vb": false
	},
	{
		"n": "batteryVoltage",
		"u": "V",
		"v": 3.0
	},
	{
		"n": "latitude",
		"u": "lat",
		"v": 52.04075
	},
	{
		"n": "longitude",
		"u": "lon",
		"v": 4.408
	},
	{
		"n": "rotationCount",
		"v": 4.0
	},
	{
		"n": "temperature",
		"u": "Cel",
		"v": 16.0
	},
	{
		"n": "firmwareVersion",
		"vs": "10a8"
	},
	{
		"n": "firmwareCRC",
		"vs": "e865"
	},
	{
		"n": "settingsCRC",
		"vs": "36cd"
	},
	{
		"n": "gpsModuleActive",
		"vb": false
	},
	{
		"n": "nfcState",
		"u": "enum",
		"vs": "NFC_RW"
	},
	{
		"n": "powerupTime",
		"u": "min",
		"v": 152431.0
	},
	{
		"n": "transmissionTime",
		"u": "s",
		"v": 1080.0
	},
	{
		"n": "nrOfLoraTransmissions",
		"v": 576.0
	},
	{
		"n": "devEui",
		"vs": "3200001247"
	},
	{
		"n": "rotationLeft",
		"v": 33.0
	},
	{
		"n": "rotationRight",
		"v": 29.0
	},
	{
		"n": "orientationX",
		"v": 255.0
	},
	{
		"n": "orientationY",
		"v": 1.0
	},
	{
		"n": "status",
		"vs": "02"
	},
	{
		"n": "TIME_ORIGIN",
		"vs": "THINGSENGINE"
	}
]
```

### › Decoded payload with location and rotation counter (p3k3) (v2)

Decoder for Streamline lora messages encoded as P3K3 (loctagiiiv2) with RotationCount (byte length 2-49).

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                  | type    | unit | example              | description                            |
| --------------------- | ------- | ---- | -------------------- | -------------------------------------- |
| batteryVoltage        | number  | V    | `2.96`               |                                        |
| devEui                | string  |      | `"0123456789012345"` | not present in detail level 1 messages |
| firmwareCRC           | string  |      | `"2143"`             | not present in detail level 1 messages |
| firmwareVersion       | string  |      | `"cdab"`             | not present in detail level 1 messages |
| gpsActiveStill        | boolean |      | `true`               |                                        |
| gpsFixStill           | boolean |      | `true`               |                                        |
| gpsModuleActive       | boolean |      | `true`               | not present in detail level 1 messages |
| latitude              | number  | lat  | `51.90717`           |                                        |
| longitude             | number  | lon  | `4.48940`            |                                        |
| nfcScanned            | boolean |      | `true`               |                                        |
| nfcState              | string  |      | `"NFC_RW"`           | not present in detail level 1 messages |
| nrOfLoraTransmissions | number  |      |                      | not present in detail level 1 messages |
| orientationX          | number  |      | `255.0`              | not present in detail level 1 messages |
| orientationY          | number  |      | `1.0`                | not present in detail level 1 messages |
| powerupTime           | number  | min  |                      | not present in detail level 1 messages |
| rotationCount         | number  |      | `266`                |                                        |
| rotationLeft          | number  |      | `33.0`               | not present in detail level 1 messages |
| rotationRight         | number  |      | `29.0`               | not present in detail level 1 messages |
| settingsCRC           | string  |      | `"7698"`             | not present in detail level 1 messages |
| status                | string  |      | `"9a"`               | not present in detail level 1 messages |
| temperature           | number  | Cel  | `21.0`               |                                        |
| transmissionTime      | number  | s    |                      | not present in detail level 1 messages |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

**14 byte payload**

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "gpsActiveStill",
        "vb": true
    },
    {
        "n": "gpsFixStill",
        "vb": false
    },
    {
        "n": "nfcScanned",
        "vb": false
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.02
    },
    {
        "n": "latitude",
        "u": "lat",
        "v": 51.90717
    },
    {
        "n": "longitude",
        "u": "lon",
        "v": 4.48940
    },
    {
        "n": "rotationCount",
        "v": 124
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 3
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

**49 byte payload**

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "gpsActiveStill",
        "vb": true
    },
    {
        "n": "gpsFixStill",
        "vb": true
    },
    {
        "n": "nfcScanned",
        "vb": false
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3
    },
    {
        "n": "latitude",
        "u": "lat",
        "v": 51.90717
    },
    {
        "n": "longitude",
        "u": "lon",
        "v": 4.48940
    },
    {
        "n": "rotationCount",
        "v": 154
    },
    {
        "n": "temperature",
        "u": "Cel",
        "v": 1
    },
    {
        "n": "firmwareVersion",
        "vs": "cdab"
    },
    {
        "n": "firmwareCRC",
        "vs": "2143"
    },
    {
        "n": "settingsCRC",
        "vs": "7698"
    },
    {
        "n": "gpsModuleActive",
        "vb": true
    },
    {
        "n": "nfcState",
        "vs": "NFC_OFF"
    },
    {
        "n": "powerupTime",
        "u": "min",
        "v": 872379
    },
    {
        "n": "transmissionTime",
        "u": "s",
        "v": 238792
    },
    {
        "n": "nrOfLoraTransmissions",
        "v": 55
    },
    {
        "n": "devEui",
        "vs": "0123456789012345"
    },
    {
        "n": "rotationLeft",
        "v": 3407873
    },
    {
        "n": "rotationRight",
        "v": 1507507
    },
    {
        "n": "orientationX",
        "v": 122
    },
    {
        "n": "orientationY",
        "v": 12
    },
    {
        "n": "status",
        "vs": "9a"
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-iii-v2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
